Bug 94195 - [llvmpipe] Does not build with LLVM 3.7.x on Windows
Summary: [llvmpipe] Does not build with LLVM 3.7.x on Windows
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: 11.1
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 16:26 UTC by Florian Link
Modified: 2016-04-17 22:39 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch that fixes the problem (446 bytes, text/plain)
2016-02-17 16:26 UTC, Florian Link
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Link 2016-02-17 16:26:18 UTC
Created attachment 121814 [details]
Patch that fixes the problem

The problem is that 'LLVMInstrumentation' needs to be linked as well,
so scons/llvm.py needs to be changed for LLVM 3.7.x.

I attached a patch that fixes the problem.
Comment 1 Jose Fonseca 2016-02-19 21:34:10 UTC
This has been fixed in

  https://cgit.freedesktop.org/mesa/mesa/commit/?id=a5256012ef8ea31bc8025fc72193a9772372c9a1

We could crossport it to the 11.1 branch, but I'm not sure if there will be another patch release.

There is a 11.2 coming soon.
Comment 2 Emil Velikov 2016-02-20 09:57:19 UTC
There will be at least another to versions for the 11.1 branch. Thanks for the report - I'll pick the patch for the next release.
Comment 3 Emil Velikov 2016-04-17 22:39:40 UTC
And mesa 11.1.3 is out (announcement comming in a second0. Sorry for the delay.


bug/show.html.tmpl processed on Mar 30, 2017 at 22:32:59.
(provided by the Example extension).